import request from '@/utils/request'

///fixedAssets/queryBypageAll  查询公司资产（分页）
export function queryBypageAll(data) {
    return request({
        url: '/fixedAssets/queryBypageAll',
        method: 'post',
        data
    })
}
///fixedAssets/insert添加
export function insert(data) {
    return request({
        url: '/fixedAssets/insert',
        method: 'post',
        data
    })
}
///fixedAssets/update修改管理者
export function update(data) {
    return request({
        url: '/fixedAssets/update',
        method: 'post',
        data
    })
}
////fixedAssets/queryBypage管理者查询负责的资产
export function queryBypage(data) {
    return request({
        url: '/fixedAssets/queryBypage',
        method: 'post',
        data
    })
}
///fixedAssets/selectByFixedId 查询单挑记录
export function selectByFixedId(data) {
    return request({
        url: '/fixedAssets/selectByFixedId',
        method: 'post',
        data
    })
}
///fixedAssets/update 修改资产信息
export function updates(data) {
    return request({
        url: '/fixedAssets/update',
        method: 'post',
        data
    })
}
///fixedUse/useRegistered  使用登记
export function useRegistered(data) {
    return request({
        url: '/fixedUse/useRegistered',
        method: 'post',
        data
    })
}
////fixedUse/returnRegistration 归还登记
export function returnRegistration(data) {
    return request({
        url: '/fixedUse/returnRegistration',
        method: 'post',
        data
    })
}
///fixedUse/queryByPageByFixedId
//分页查询(管理者查询固定资产的使用记录)
export function queryByPageByFixedId(data) {
    return request({
        url: '/fixedUse/queryByPageByFixedId',
        method: 'post',
        data
    })
}
///fixedAssets/lose丢失
export function lose(data) {
    return request({
        url: '/fixedAssets/lose',
        method: 'post',
        data
    })
}
////fixedUse/queryBypage查询自己的使用情况
export function queryBypageget(data) {
    return request({
        url: '/fixedUse/queryBypage',
        method: 'post',
        data
    })
}